;InnoSetupVersion=3.0.5

[Setup]
AppName=HTML Compressor
AppVerName=HTML Compressor 2.01
AppId=HTML Compressor
AppPublisher=Upkey Software
AppPublisherURL=http://www.upkey.com
AppSupportURL=http://www.upkey.com
AppUpdatesURL=http://www.upkey.com
DefaultDirName={pf}\HTML Compressor
DefaultGroupName=HTML Compressor
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\hc.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\versions.txt"; DestDir: "{app}"; Flags: ignoreversion 

[INI]
FileName: "{app}\hc.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.upkey.com"; 

[Run]
Filename: "{app}\hc.exe"; Description: "Launch HTML Compressor"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\HTML Compressor"; Filename: "{app}\hc.exe"; 
Name: "{group}\HTML Compressor on the Web"; Filename: "{app}\hc.url"; 
Name: "{group}\Read Me"; Filename: "{app}\readme.txt"; 
Name: "{group}\Version History"; Filename: "{app}\versions.txt"; 
Name: "{group}\Uninstall HTML Compressor"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\HTML Compressor"; Filename: "{app}\hc.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\HTML Compressor"; Filename: "{app}\hc.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\hc.url"; 
